view.animation

## Class JJComponent

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - javax.swing.JComponent
      - - view.animation.JJComponent

All Implemented Interfaces:
  java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable

Direct Known Subclasses:
  CurrentValueLine, JJStatDiagramme, MonoDimensionLine, PavingContext

    public class JJComponent
    extends javax.swing.JComponent

The Class JJComponent.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class javax.swing.JComponent

`javax.swing.JComponent.AccessibleJComponent`

### Nested classes/interfaces inherited from class java.awt.Component

`java.awt.Component.BaselineResizeBehavior`

### Field Summary

### Fields inherited from class javax.swing.JComponent

`TOOL_TIP_TEXT_KEY, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

### Fields inherited from class java.awt.Component

`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

### Fields inherited from interface java.awt.image.ImageObserver

`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

### Constructor Summary

Constructors
Constructor and Description
`JJComponent(JJPanel parent, double xx, double yy, double w, double h)` Instantiates a new JJ component.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addAnimation(JJAnimation anim)` Adds the animation.
`boolean` `animate()` Animate.
`double` `getCentreX()` Gets the centre X.
`double` `getCentreY()` Gets the centre Y.
`double` `getH()` Gets the h.
`int` `getHeight()`
`double` `getOpacite()` Gets the opacite.
`double` `getTheta()` Gets the theta.
`double` `getW()` Gets the w.
`int` `getWidth()`
`int` `getX()`
`double` `getXx()` Gets the xx.
`int` `getY()`
`double` `getYy()` Gets the yy.
`boolean` `isDragable()` Checks if is dragable.
`boolean` `isSuppressionProgrammee()` Checks if is suppression programmee.
`void` `setDragable(boolean dragable)` Sets the dragable.
`void` `setH(double h)` Sets the h.
`void` `setOpacite(double d)` Sets the opacite.
`void` `setSuppressionProgrammee(boolean suppressionProgrammee)` Sets the suppression programmee.
`void` `setTheta(double theta)` Sets the theta.
`void` `setW(double w)` Sets the w.
`void` `setXx(double xx)` Sets the xx.
`void` `setYy(double yy)` Sets the yy.

### Methods inherited from class javax.swing.JComponent

`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getUIClassID, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintImmediately, paintImmediately, print, printAll, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update, updateUI`

### Methods inherited from class java.awt.Container

`add, add, add, add, add, addContainerListener, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate`

### Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, createImage, createImage, createVolatileImage, createVolatileImage, dispatchEvent, enable, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getAccessibleContext, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### JJComponent

    public JJComponent(JJPanel parent,
                       double xx,
                       double yy,
                       double w,
                       double h)

Instantiates a new JJ component.

Parameters:
  `parent` - the parent
  `xx` - the xx
  `yy` - the yy
  `w` - the w
  `h` - the h

### Method Detail

#### addAnimation

    public void addAnimation(JJAnimation anim)

Adds the animation.

Parameters:
  `anim` - the anim

#### animate

    public boolean animate()

Animate.

Returns:
  true, if successful

#### getXx

    public double getXx()

Gets the xx.

Returns:
  the xx

#### setXx

    public void setXx(double xx)

Sets the xx.

Parameters:
  `xx` - the new xx

#### getYy

    public double getYy()

Gets the yy.

Returns:
  the yy

#### setYy

    public void setYy(double yy)

Sets the yy.

Parameters:
  `yy` - the new yy

#### getW

    public double getW()

Gets the w.

Returns:
  the w

#### getHeight

    public int getHeight()

Overrides:
  `getHeight` in class `javax.swing.JComponent`

#### getWidth

    public int getWidth()

Overrides:
  `getWidth` in class `javax.swing.JComponent`

#### getX

    public int getX()

Overrides:
  `getX` in class `javax.swing.JComponent`

#### getY

    public int getY()

Overrides:
  `getY` in class `javax.swing.JComponent`

#### setW

    public void setW(double w)

Sets the w.

Parameters:
  `w` - the new w

#### getH

    public double getH()

Gets the h.

Returns:
  the h

#### setH

    public void setH(double h)

Sets the h.

Parameters:
  `h` - the new h

#### getTheta

    public double getTheta()

Gets the theta.

Returns:
  the theta

#### setTheta

    public void setTheta(double theta)

Sets the theta.

Parameters:
  `theta` - the new theta

#### getOpacite

    public double getOpacite()

Gets the opacite.

Returns:
  the opacite

#### setOpacite

    public void setOpacite(double d)

Sets the opacite.

Parameters:
  `d` - the new opacite

#### isSuppressionProgrammee

    public boolean isSuppressionProgrammee()

Checks if is suppression programmee.

Returns:
  true, if is suppression programmee

#### setSuppressionProgrammee

    public void setSuppressionProgrammee(boolean suppressionProgrammee)

Sets the suppression programmee.

Parameters:
  `suppressionProgrammee` - the new suppression programmee

#### isDragable

    public boolean isDragable()

Checks if is dragable.

Returns:
  true, if is dragable

#### setDragable

    public void setDragable(boolean dragable)

Sets the dragable.

Parameters:
  `dragable` - the new dragable

#### getCentreX

    public double getCentreX()

Gets the centre X.

Returns:
  the centre X

#### getCentreY

    public double getCentreY()

Gets the centre Y.

Returns:
  the centre Y